<!--
	Name:	Samuel Joski
	File:	index.php
	CSCI-460 Computer Controlled Railroad User CAB
-->

<?php
	session_start();
	unset($_SESSION['chosenTrainID']);
	unset($_SESSION['chosenTrainAddress']);
	unset($_SESSION['chosenTrainLocation']);
	unset($_SESSION['chosenTrainSpeed']);
	unset($_SESSION['chosenTrainDirection']);
	unset($_SESSION['chosenTrainOrientation']);
	unset($_SESSION['chosenTrainStatus']);
	unset($_SESSION['chosenTrainHeadlight']);
	unset($_SESSION['chosenTrainHorn']);
	unset($_SESSION['chosenTrainOccupied']);
	session_destroy();
?>

<html>

<head>

	<title>CCR | CAB Selection</title>

	<style>
		td {
			padding-left: 15px;
			padding-right: 15px;
		}
	</style>
</head>

<body bgcolor="MediumSeaGreen">

	<center>
	
	<br>
	<h1><b>Computer Controlled Railroad</b></h1>
	<br>
	<img src="index_banner.png" alt="Train" style="width:792px;height:273;">
	
	<br><br><br><br>

	<table>
		<tr>
		<td>
			<h3>Welcome to the Computer Controlled Railraod User CAB.<br><br>
			To begin, please select a train from the selection box.<br><br>
			If a train is not available, please check back later.<br><h3>
		</td>

		<td>

		<?php
			$linecount = 0;	//Used to count number of lines (excluding last line) in the file
			$traincount = 0;//Used to count number of populated lines in the file

			$file = fopen("trains.txt", "r");
			while(!feof($file)){
				$line = fgets($file);

				//Make sure the last line is not read
				if($line != "") {
					$linecount++;

					//For counting trains, do not count empty lines
					if($line != "\n") {
						$trainInfo = explode(',', $line);
						
						//Make sure the train is not occupied before counting and displaying it
						if($trainInfo[9] == 0) {
							$trains[$traincount] = $line;
							$traincount++;
						}
					}
				}
			}
			fclose($file);
		?>
		<form  id = "Selection"   action = "controller.php"   method = "post">
			<select required name="trainSelect" size="<?php echo $linecount?>">
				<?php
					for($i = 0; $i < $traincount; $i++) {
						$trainpieces = explode(',', $trains[$i]);
						echo "<option>Engine $trainpieces[1]</option>";
					}
				?>
			</select>
			<p>
			<input type="submit" value="Select">		&nbsp;&nbsp;&nbsp;&nbsp;

		</form>
		</td>
		</tr>
	</table>
	
	</center>
	
	<div style="position: absolute; bottom: 0px;">
		Samuel Joski, SNC CSCI-460, Spring 2018
	</div>

</body>
</html>